{
	"artifacts" : 
	[
		{
			"path" : "code.elf"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"target_link_libraries",
			"target_include_directories",
			"target_sources"
		],
		"files" : 
		[
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 38,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 73,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 61,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 49,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : " -mcpu=cortex-m0plus  -Wall -Wextra -Wpedantic -fdata-sections -ffunction-sections -Os -g0 -mcpu=cortex-m0plus  -Wall -Wextra -Wpedantic -fdata-sections -ffunction-sections -Os -g0 -O3 -DNDEBUG -std=gnu11"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 2,
					"define" : "STM32G030xx"
				},
				{
					"backtrace" : 2,
					"define" : "USE_HAL_DRIVER"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 3,
					"path" : "/Users/andrew/Dropbox/-projects/9048-IMSC/02/code/App"
				},
				{
					"backtrace" : 3,
					"path" : "/Users/andrew/Dropbox/-projects/9048-IMSC/02/code/Drivers/RTT"
				},
				{
					"backtrace" : 2,
					"path" : "/Users/andrew/Dropbox/-projects/9048-IMSC/02/code/cmake/stm32cubemx/../../Core/Inc"
				},
				{
					"backtrace" : 2,
					"path" : "/Users/andrew/Dropbox/-projects/9048-IMSC/02/code/cmake/stm32cubemx/../../Drivers/STM32G0xx_HAL_Driver/Inc"
				},
				{
					"backtrace" : 2,
					"path" : "/Users/andrew/Dropbox/-projects/9048-IMSC/02/code/cmake/stm32cubemx/../../Drivers/STM32G0xx_HAL_Driver/Inc/Legacy"
				},
				{
					"backtrace" : 2,
					"path" : "/Users/andrew/Dropbox/-projects/9048-IMSC/02/code/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32G0xx/Include"
				},
				{
					"backtrace" : 2,
					"path" : "/Users/andrew/Dropbox/-projects/9048-IMSC/02/code/cmake/stm32cubemx/../../Drivers/CMSIS/Include"
				}
			],
			"language" : "C",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					1
				],
				"standard" : "11"
			},
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5,
				6,
				7,
				8,
				9,
				10,
				11,
				12,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				22,
				23,
				24,
				25,
				26,
				27,
				28,
				29,
				30,
				31
			]
		},
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : " -mcpu=cortex-m0plus  -Wall -Wextra -Wpedantic -fdata-sections -ffunction-sections -Os -g0 -mcpu=cortex-m0plus  -Wall -Wextra -Wpedantic -fdata-sections -ffunction-sections -Os -g0 -x assembler-with-cpp -MMD -MP -O3 -DNDEBUG"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 2,
					"define" : "STM32G030xx"
				},
				{
					"backtrace" : 2,
					"define" : "USE_HAL_DRIVER"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 3,
					"path" : "/Users/andrew/Dropbox/-projects/9048-IMSC/02/code/App"
				},
				{
					"backtrace" : 3,
					"path" : "/Users/andrew/Dropbox/-projects/9048-IMSC/02/code/Drivers/RTT"
				},
				{
					"backtrace" : 2,
					"path" : "/Users/andrew/Dropbox/-projects/9048-IMSC/02/code/cmake/stm32cubemx/../../Core/Inc"
				},
				{
					"backtrace" : 2,
					"path" : "/Users/andrew/Dropbox/-projects/9048-IMSC/02/code/cmake/stm32cubemx/../../Drivers/STM32G0xx_HAL_Driver/Inc"
				},
				{
					"backtrace" : 2,
					"path" : "/Users/andrew/Dropbox/-projects/9048-IMSC/02/code/cmake/stm32cubemx/../../Drivers/STM32G0xx_HAL_Driver/Inc/Legacy"
				},
				{
					"backtrace" : 2,
					"path" : "/Users/andrew/Dropbox/-projects/9048-IMSC/02/code/cmake/stm32cubemx/../../Drivers/CMSIS/Device/ST/STM32G0xx/Include"
				},
				{
					"backtrace" : 2,
					"path" : "/Users/andrew/Dropbox/-projects/9048-IMSC/02/code/cmake/stm32cubemx/../../Drivers/CMSIS/Include"
				}
			],
			"language" : "ASM",
			"sourceIndexes" : 
			[
				32
			]
		}
	],
	"id" : "code::@6890427a1f51a3e7e1df",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-mcpu=cortex-m0plus  -Wall -Wextra -Wpedantic -fdata-sections -ffunction-sections -Os -g0 -mcpu=cortex-m0plus  -Wall -Wextra -Wpedantic -fdata-sections -ffunction-sections -Os -g0 -O3 -DNDEBUG",
				"role" : "flags"
			},
			{
				"fragment" : "",
				"role" : "flags"
			}
		],
		"language" : "C"
	},
	"name" : "code",
	"nameOnDisk" : "code.elf",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5,
				6,
				7,
				8,
				9,
				10,
				11,
				12,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				22,
				23,
				24,
				25,
				26,
				27,
				28,
				29,
				30,
				31
			]
		},
		{
			"name" : "",
			"sourceIndexes" : 
			[
				32
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "App/debug.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "App/imsc.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "App/io_driver.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "App/pwm.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "App/state_machine.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "Drivers/RTT/SEGGER_RTT.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "Drivers/RTT/SEGGER_RTT_printf.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Core/Src/main.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Core/Src/stm32g0xx_it.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Core/Src/stm32g0xx_hal_msp.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_adc.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_adc_ex.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_ll_adc.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_rcc.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_rcc_ex.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_ll_rcc.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_flash.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_flash_ex.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_gpio.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_dma.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_dma_ex.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_ll_dma.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_pwr.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_pwr_ex.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_cortex.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_exti.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_tim.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Drivers/STM32G0xx_HAL_Driver/Src/stm32g0xx_hal_tim_ex.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Core/Src/system_stm32g0xx.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Core/Src/sysmem.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "Core/Src/syscalls.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 1,
			"path" : "startup_stm32g030xx.s",
			"sourceGroupIndex" : 1
		}
	],
	"type" : "EXECUTABLE"
}
